GuideLab Docs

Read imported exocad design metadata

GET
/integrations/exocad/orders/:orderId/constructions

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

orderId*string
Length1 <= length <= 200

Query Parameters

cursor?string
Length1 <= length <= 200

Response Body

application/json

curl -X GET "https://example.com/integrations/exocad/orders/:orderId/constructions"
{  "constructions": [    {      "id": "string",      "fileId": "string",      "filename": "string",      "projectName": "string",      "partType": "string",      "material": "string",      "materialName": "string",      "resolvedMaterialName": "string",      "teeth": [        {          "toothNumber": 0,          "reconstructionType": "string",          "cutbackPerformed": true,          "shade": "string",          "resolvedProductId": "string",          "resolvedProductName": "string"        }      ]    }  ],  "nextCursor": "string"}
Empty
Empty
Empty